defmodule ExDataGovUA.Decoders.Base do
  @type data :: map()
  @type status :: Atom.t()
  @type async_response :: Stream.t()
  @type sync_response :: {status, data}
  @type body :: String.t() | Stream.t()

  @callback decode(body) :: async_response | sync_response
end
